/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomXMLHttpRequestProgressEvent_H__
#define __GdomXMLHttpRequestProgressEvent_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomProgressEvent.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomXMLHttpRequestProgressEvent GdomXMLHttpRequestProgressEvent;
typedef struct _GdomXMLHttpRequestProgressEventClass GdomXMLHttpRequestProgressEventClass;


#define GDOM_TYPE_XML_HTTP_REQUEST_PROGRESS_EVENT            (gdom_xml_http_request_progress_event_get_type())
#define GDOM_XML_HTTP_REQUEST_PROGRESS_EVENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_XML_HTTP_REQUEST_PROGRESS_EVENT, GdomXMLHttpRequestProgressEvent))
#define GDOM_XML_HTTP_REQUEST_PROGRESS_EVENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_XML_HTTP_REQUEST_PROGRESS_EVENT, GdomXMLHttpRequestProgressEvent)Class)
#define GDOM_IS_XML_HTTP_REQUEST_PROGRESS_EVENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_XML_HTTP_REQUEST_PROGRESS_EVENT))
#define GDOM_IS_XML_HTTP_REQUEST_PROGRESS_EVENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_XML_HTTP_REQUEST_PROGRESS_EVENT))
#define GDOM_XML_HTTP_REQUEST_PROGRESS_EVENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_XML_HTTP_REQUEST_PROGRESS_EVENT, GdomXMLHttpRequestProgressEventClass))

typedef struct _GdomXMLHttpRequestProgressEventPrivate GdomXMLHttpRequestProgressEventPrivate;

struct _GdomXMLHttpRequestProgressEvent {
    GdomProgressEvent parent_instance;
    GdomXMLHttpRequestProgressEventPrivate *priv;
};

struct _GdomXMLHttpRequestProgressEventClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_xml_http_request_progress_event_get_type (void);

G_END_DECLS

#endif /* __GdomXMLHttpRequestProgressEvent_H__ */
